%define major 9
%define libname %mklibname rep %major
%define libnamedev %mklibname -d rep

%define _requires_exceptions /usr/bin/rep
Name:		librep
Summary:	An embeddable LISP environment
Version:	0.17.3
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
BuildRequires:	gmp-devel gdbm-devel gpm-devel ncurses-devel readline-devel texinfo
BuildRequires:  automake1.8
URL:		http://librep.sourceforge.net/
Source0:	http://downloads.sourceforge.net/librep/%{name}-%{version}.tar.bz2
Requires(post): info-install
Requires(preun): info-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
This is a lightweight LISP environment for UNIX. It contains a LISP 
interpreter, byte-code compiler and virtual machine. Applications may use the 
LISP interpreter as an extension language, or it may be used for standalone 
scripts.

Originally inspired by Emacs Lisp, the language dialect combines many of the 
elisp features while trying to remove some of the main deficiencies, with 
features from Common Lisp and Scheme.

%package -n	%{libname}
Summary:	Libraries used by librep
Group:		System/Libraries

%description -n	%{libname}
Libraries used by librep

%package -n	%{libnamedev}
Summary:	Librep include files and link libraries
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d %name 9
Provides:	%{name}-devel = %{version}

%description -n	%{libnamedev}
Link libraries and C header files for librep development.


%prep
%setup -q
libtoolize --install --force
aclocal
autoconf

%build
%configure2_5x --with-readline

%make host_type=%{_target_platform}

%install
rm -rf %{buildroot}
%makeinstall_std host_type=%{_target_platform}
%multiarch_binaries %buildroot%_bindir/rep-config
rm -f %buildroot%{_libdir}/librep.a

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%post
%_install_info librep.info


%preun
%_remove_install_info librep.info

%if %mdkversion < 200900
%postun -n %{libname}  -p /sbin/ldconfig
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/rep
%{_bindir}/rep-remote
%{_datadir}/rep
%dir %{_libexecdir}/rep
%{_libexecdir}/rep/%{version}
%{_infodir}/librep*
%{_datadir}/emacs/site-lisp/*.el

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/librep.so.9*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_bindir}/rep-config
%multiarch %{multiarch_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.so
%{_libdir}/librep.la
%{_includedir}/*
%_libdir/pkgconfig/librep.pc
%{_libexecdir}/rep/%{_target_platform}


%changelog
* Thu Mar 05 2009 Götz Waschk <waschk@mandriva.org> 0.17.3-1mdv2009.1
+ Revision: 348783
- new version
- update file list

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 0.17.2-3mdv2009.1
+ Revision: 344871
- fix build

* Sun Nov 23 2008 Götz Waschk <waschk@mandriva.org> 0.17.2-2mdv2009.1
+ Revision: 306113
- fix deps on x86_64

* Sun Nov 23 2008 Götz Waschk <waschk@mandriva.org> 0.17.2-1mdv2009.1
+ Revision: 305960
- new version
- update source URL
- drop patches
- update file list

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 0.17-9mdv2009.0
+ Revision: 257360
- fix build
- update license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.17-8mdv2008.0
+ Revision: 56648
- fix obsoletes

* Sat Jul 28 2007 Götz Waschk <waschk@mandriva.org> 0.17-7mdv2008.0
+ Revision: 56467
- unpack patch
- fix build
- new devel name
- Import librep




* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2007.0
- Rebuild

* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.17-6mdk
- fix underquoted calls (P0)
- %%mkrel

* Thu Jan  5 2006 Gtz Waschk <waschk@mandriva.org> 0.17-5mdk
- replace prereq

* Mon May  9 2005 Götz Waschk <waschk@mandriva.org> 0.17-4mdk
- mklibname
- multiarch
- reenable libtoolize

* Fri Jan 21 2005 Götz Waschk <waschk@linux-mandrake.com> 0.17-3mdk
- rebuild for new readline

* Wed Dec  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.17-2mdk
- rebuild for libgdbm3

* Tue Nov 25 2003 Götz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- don't libtoolize
- new version

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.16.2-3mdk
- rebuild for new rpm

* Thu Feb 27 2003 Götz Waschk <waschk@linux-mandrake.com> 0.16.2-2mdk
- fix installation

* Wed Feb 26 2003 Götz Waschk <waschk@linux-mandrake.com> 0.16.2-1mdk
- fix build
- new version

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.1-2mdk
- Recompiled with latest readline

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.1-1mdk
- Release 0.16.1

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.2-4.20020611.1mdk
- new snapshot

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.2-4.20020524.1mdk
- new snapshot

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.2-4.20020502.1mdk
- new snapshot

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.2-4.20020419.1mdk
- GNOME 2 snapshot release
- Remove patch0 (merged usptream)

* Fri Feb 22 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.15.2-3mdk
- fix PPC build so it actually works for non-KDE activists =)

* Sat Jan 12 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.15.2-2mdk
- PPC still needs "make host_type="

* Thu Jan 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.2-1mdk
- Release 0.15.2

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.1-1mdk
- Release 0.15.1
- Libification

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- Release 0.14

* Fri Apr 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.13.6-1mdk
- On Good Friday make 0.13.6 which should fix i18n parsing.

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.4-2mdk
- Remove dependency on libgmp.so.2

* Sun Jan  7 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.13.4-1mdk
- 0.13.4

* Fri Dec  8 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.3-1mdk
- 0.13.3

* Mon Nov  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.2-2mdk
- rebuild for new libstdc++

* Fri Oct 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.2-1mdk
- 0.13.2

* Fri Sep 29 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.1-1mdk
- 0.13.1

* Fri Sep 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13-1mdk
- 0.13
- added buildprereq/buildrequires: texinfo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.4-4mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-3mdk
- force version dependencies
- remove Packager

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-2mdk
- rebuild with new rpm

* Fri Jul 21 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-1mdk
- 0.12.4

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-3mdk
- rebuild for directory changes

* Thu Jul 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-2mdk
- fix bad preun

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-1mdk
- 0.12.3
- more macroization

* Sun Jul  9 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.2-1mdk
- 0.12.2
- added --with-readline
- many specfile cleanups
- macroization
- removed patch to compile with gmp 3.x

* Sat Jun 24 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.12.1-1mdk
- 0.12.1
- changed files from _host to _target_cpu (thanks Chmouel)

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.11.3-2mdk
- build with libgmp 3.0.1
- include patch to compile with gmp 3.x

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix group
- specfile fixes, should work with helixcode for gnome
- 0.11.3

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.11.1

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.11

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
